Subject: Bug#1063: CreateDB fails with error `DBI connect('dbname=/var/lib/x2go/x2go_sessions', '', ...) failed`

From: Sivachidambaram Somu <[email-masked]>
Date: Sat, 27 Aug 2016 16:08:13 +0530

Health is better now. Thanks for asking :)

About the SUID, I have not disabled it myself. Let me check the OS defaults
again and give an update on that.

Also, I'm able to open them file 'x2golistsessions' in Vim as root. As you
have pointed out, the operation fails as a normal user.

On Aug 25, 2016 12:50 AM, "Mihai Moldovan" <[email-masked]> wrote:

> On 24.08.2016 08:30 AM, Sivachidambaram Somu wrote:
> > Hi Mihai,
> >
> > My apologies for the late reply. I had to undergo a minor surgery and
> was out of
> > my machine for a couple of weeks.
>
> Oh, that's definitely more important. I hope everything is fine again.
>
>
> > Coming back to your question, I do find x2gosqlitewrapper under
> > '/usr/lib64/x2go' folder (complete contents are listed below). I also
> find the
> > 'x2go_sessions' file under '/var/lib/x2go' folder, which is owned by
> x2gouser in
> > root domain. This happens automatically after I install x2goserver.
> >
> > However, the client still gives out the error mentioned in my first
> email.
> >
> > _*Contents of '/var/lib/x2go' folder:*_
> >
> > %  sudo ls -lhrt /var/lib/x2go
> >
> > total 16K
> >
> > -rw-rw---- 1 root x2gouser 13K Aug 24 11:43 x2go_sessions
>
> Okay.
>
>
> > *_Contents of '/usr/lib64/x2go' folder:_*
> >
> > %ls -lhrt /usr/lib64/x2go
> >
> > total 132K
> >
> > [...]
> > -rwxr-sr-x  1 root x2gouser 5.1K Apr 27  2015 x2gosqlitewrapper
> > [...]
>
> That's okay as well.
>
>
> Hmm... did you somehow disable SUID support? Maybe via the "nosuid" mount
> option
> for /var?
>
>
> So... just to make that clear, x2golistsessions_root works fine as root,
> but
> x2golistsessions fails as a normal user when ran via SSH?
>
>
>
> Mihai
>
>